<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="รายงานสรุป_บค_จ่ายงาน_บันทึกผล_01_จ่ายงาน_sub_02" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="842" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="a9781c61-6d96-49d4-a3f5-0e8bc4c60570">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="121"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="874"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="DefaultStyle" isDefault="true" fontName="TH SarabunPSK" fontSize="14">
		<paragraph leftIndent="1" rightIndent="1"/>
	</style>
	<parameter name="P_START_DATE" class="java.lang.String"/>
	<parameter name="P_END_DATE" class="java.lang.String"/>
	<parameter name="P_GROUP_WORK_DIVISION" class="java.lang.String"/>
	<parameter name="P_LANGUAGE" class="java.lang.String"/>
	<parameter name="P_DIST_ID" class="java.lang.Integer"/>
	<parameter name="P_WORK_EMP_ID" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[SELECT  VEN.VCENTER_ID,
VEN.VCENTER_NO,
CASE WHEN VEN.VCENTER_NO IS NOT NULL THEN VEN.VCENTER_NO END || CASE WHEN VEN.EMP_ID IS NOT NULL THEN  ':' ||VEN.EMP_ID END || CASE WHEN VEN.EMP_ID IS NOT NULL THEN ' '|| VEN.EMP_NAME WHEN VEN.VCENTER_NAME IS NOT NULL THEN ' '||VEN.VCENTER_NAME END AS VENDER_NAME,
 LINE.ASSIGN_DATE,REQ_NO,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CUST.CUST_NAME_TH,CUST.CUST_NAME_EN) AS CUST_NAME,
MET.METER_SIZE,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},V_ADD.ADDR_NAME_TH,V_ADD.ADDR_NAME_EN) AS CA_ADDR_NAME,
INS.UI,INS.MRU_ID,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},GT.TYPE_NAME_TH,GT.TYPE_NAME_EN) AS REQUEST_NAME,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CMD.NAME_TH,CMD.NAME_TH) AS COMMAND_NAME,
LINE.WORK_DATE,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CONFIG.NAME_TH,CONFIG.NAME_TH) AS CAUSE_NAME,
CASE WHEN (SELECT COUNT(LINE.OPERATION_ID) FROM REQ_T_REQUEST RE INNER JOIN REQ_T_REQUEST_LINE_OPERATION LINE ON LINE.REQ_ID = RE.REQ_ID AND LINE.RECORD_STATUS ='A' AND LINE.DIVISION =25 WHERE RE.REQ_ID = REQ.REQ_ID ) > 1 THEN
'เก่า' ELSE 'ใหม่' END AS WORK_TASK
FROM REQ_T_REQUEST REQ
LEFT JOIN REQ_M_GROUP_TYPE GT ON GT.GROUP_CODE = REQ.GROUP_CODE AND GT.TYPE_CODE = REQ.TYPE_CODE AND GT.RECORD_STATUS ='A'
INNER JOIN CONTRACT_ACCOUNT CA ON CA.CA = REQ.CA_ID AND CA.STATUS ='01'
INNER JOIN V_SCS_CUSTOMER CUST ON CUST.CUST_ID = REQ.CUST_ID 
INNER JOIN INSTALLATION INS ON INS.UI = CA.UI AND INS.STATUS = '01'
INNER JOIN CA_ADDRESS_MAP CA_ADD ON CA_ADD.CA = CA.CA AND CA_ADD.TYPE = 1 
LEFT JOIN V_SCS_ADDRESS V_ADD ON V_ADD.ADDR_NO = CA_ADD.ADDR_NO 
LEFT JOIN METER_SIZE_MASTER MET ON MET.METER_SIZE_ID = INS.METER_SIZE_ID AND MET.LANGUAGE_CODE = $P{P_LANGUAGE} 
INNER JOIN REQ_T_REQUEST_LINE_OPERATION LINE ON LINE.REQ_ID = REQ.REQ_ID AND LINE.RECORD_STATUS ='A' AND LINE.DIVISION =25
AND LINE.STATUS = 'OPEN' AND LINE.FLOW_STATUS ='MS_PRE_SAVE_RESULT' 
LEFT JOIN REQ_M_COMMAND CMD ON CMD.COMMAND_ID = LINE.CMD_CURRENT AND CMD.RECORD_STATUS='A'
LEFT JOIN REQ_T_REQUEST_SAVE_MS SAVE_MS ON SAVE_MS.REQ_ID = REQ.REQ_ID AND SAVE_MS.RECORD_STATUS ='A'
LEFT JOIN (SELECT c.* FROM adm_m_config c 
START WITH c.PARENT_config_ID IS NULL AND c.config_code = 'MS_OPTION_CAUSE' 
CONNECT BY PRIOR c.config_ID = c.PARENT_config_ID AND C.RECORD_STATUS = 'A') CONFIG ON CONFIG.CONFIG_CODE = SAVE_MS.CAUSE_STATUS
LEFT JOIN V_SCS_VENDER_CENTER VEN ON VEN.VCENTER_NO = LINE.GROUP_WORK_DIVISION AND VEN.EMP_ID = LINE.WORK_EMPID
WHERE REQ.RECORD_STATUS = 'A'
AND REQ.STATUS NOT IN('COMPLETE','CLOSE','CANCEL')
AND REQ.RESPONSIBLE_DIST_ID =  $P{P_DIST_ID} 
AND TRUNC(LINE.ASSIGN_DATE) BETWEEN $P{P_START_DATE} AND $P{P_END_DATE}
AND NVL(LINE.GROUP_WORK_DIVISION,-1) = NVL($P{P_GROUP_WORK_DIVISION},-1) AND NVL(LINE.WORK_EMPID,-1) = NVL($P{P_WORK_EMP_ID},-1)
ORDER BY REQ.REQ_NO ASC]]>
	</queryString>
	<field name="VCENTER_ID" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="VCENTER_ID"/>
	</field>
	<field name="VCENTER_NO" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="VCENTER_NO"/>
	</field>
	<field name="VENDER_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="VENDER_NAME"/>
	</field>
	<field name="ASSIGN_DATE" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="ASSIGN_DATE"/>
	</field>
	<field name="REQ_NO" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="REQ_NO"/>
	</field>
	<field name="CUST_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CUST_NAME"/>
	</field>
	<field name="METER_SIZE" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="METER_SIZE"/>
	</field>
	<field name="CA_ADDR_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CA_ADDR_NAME"/>
	</field>
	<field name="UI" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="UI"/>
	</field>
	<field name="MRU_ID" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="MRU_ID"/>
	</field>
	<field name="REQUEST_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="REQUEST_NAME"/>
	</field>
	<field name="COMMAND_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="COMMAND_NAME"/>
	</field>
	<field name="WORK_DATE" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="WORK_DATE"/>
	</field>
	<field name="CAUSE_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CAUSE_NAME"/>
	</field>
	<field name="WORK_TASK" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="WORK_TASK"/>
	</field>
	<variable name="CNT_DATE_GRP" class="java.lang.Integer" resetType="Group" resetGroup="Group1"/>
	<group name="Group1">
		<groupExpression><![CDATA[$F{ASSIGN_DATE}]]></groupExpression>
		<groupFooter>
			<band height="30">
				<textField isBlankWhenNull="true">
					<reportElement style="DefaultStyle" x="430" y="0" width="188" height="30" uuid="40bd8064-aff5-42a4-a0c1-96c2ff5f5334"/>
					<textFieldExpression><![CDATA["รวม จ่ายงาน วันที่ "+th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{ASSIGN_DATE},$P{P_LANGUAGE})]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement style="DefaultStyle" x="618" y="0" width="142" height="30" uuid="82a4ae47-7139-42a1-80c2-60bdf4680a09"/>
					<textFieldExpression><![CDATA[$V{Group1_COUNT}+" รายการ"]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<columnHeader>
		<band height="50">
			<staticText>
				<reportElement x="1" y="0" width="60" height="50" uuid="01773ad0-8f29-400a-a4c4-904cfff72c22"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[วันที่จ่ายงาน]]></text>
			</staticText>
			<staticText>
				<reportElement x="61" y="0" width="90" height="50" uuid="07d77bd1-9db2-4779-809c-444583f9b626"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[ใบสั่งงานเลขที่
เลขรับเรื่อง]]></text>
			</staticText>
			<staticText>
				<reportElement x="151" y="0" width="198" height="50" uuid="b7a3f13a-672d-4e91-8b78-3a542d923bfb"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<paragraph leftIndent="2"/>
				</textElement>
				<text><![CDATA[ชื่อผู้ใช้ไฟ
ขนาดเครื่องวัดฯ
สถานที่ขอใช้ไฟ]]></text>
			</staticText>
			<staticText>
				<reportElement x="349" y="0" width="81" height="50" uuid="a6238ec0-cb85-464e-b93d-b2ea75c6498d"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[เครื่องวัดฯเลขที่ MRU]]></text>
			</staticText>
			<staticText>
				<reportElement x="430" y="0" width="188" height="50" uuid="d8f6855e-b227-4697-a27b-bcdaa7bfafb0"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[ประเภทบริการ
คำสั่งงาน]]></text>
			</staticText>
			<staticText>
				<reportElement x="618" y="0" width="142" height="50" uuid="d9daf8a3-ad95-4d18-951c-3c7691b8e4f9"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[วันที่ดำเนินการ
สาเหตุ]]></text>
			</staticText>
			<staticText>
				<reportElement x="760" y="0" width="40" height="50" uuid="092ce096-e97a-4cfd-bdca-e7c46f9b3521"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[งานเก่า
/ใหม่]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="0" width="800" height="1" uuid="2902ab76-0281-45e2-a4e8-82ce0fcac4bf"/>
			</line>
			<line>
				<reportElement x="1" y="49" width="800" height="1" uuid="c0af5ff9-021c-4dcd-ac60-f38aba49348e"/>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="60" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="1" y="0" width="60" height="60" uuid="2391237a-fef7-4a76-8012-e3b76c962779"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left">
					<paragraph leftIndent="1"/>
				</textElement>
				<textFieldExpression><![CDATA[th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{ASSIGN_DATE},$P{P_LANGUAGE})]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="61" y="0" width="90" height="60" uuid="c24ac8ae-fef6-4a29-87a2-726be2499d1f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left"/>
				<textFieldExpression><![CDATA[$F{REQ_NO}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="151" y="0" width="198" height="20" uuid="2dfb52a5-0ddc-4e79-901a-42aaad203c50"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CUST_NAME}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="151" y="20" width="198" height="20" uuid="983bbb67-4185-4023-a930-543bb6d11f43"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{METER_SIZE}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="151" y="40" width="468" height="20" uuid="cc3294d2-a5fe-4714-9229-2230363bb6bc"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CA_ADDR_NAME}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="349" y="0" width="81" height="20" uuid="425b882e-9b64-42ec-b204-81066669bc65"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{UI}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="349" y="20" width="81" height="20" uuid="4b810aa8-0dd6-4a67-8edb-bd219a8e962a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{MRU_ID}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="430" y="0" width="188" height="20" uuid="ee4e164f-0274-40b3-a971-0921f75c7ebf"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{REQUEST_NAME}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="430" y="20" width="188" height="20" uuid="09a921dd-28ed-4c5b-bb27-6515bbd4f20c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{COMMAND_NAME}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="618" y="0" width="142" height="20" uuid="0779597a-7f92-4ac9-a87b-0a7746d55244"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textFieldExpression><![CDATA[th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{WORK_DATE},$P{P_LANGUAGE})]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="618" y="20" width="142" height="40" uuid="29b0bf74-20a8-45c8-901f-985afee09b32"/>
				<textFieldExpression><![CDATA[$F{CAUSE_NAME}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="760" y="0" width="40" height="60" uuid="f468ce46-df1a-4774-9723-553b16048d45"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{WORK_TASK}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
